#include <stdlib.h>
#include <stdio.h>
#include <omp.h>
 
static int VECTOR_LENGTH = 5;
 
int main (int argc, char * argv[])
{
    int i;
    double * v;
    double norm2 = 0.0, t1, tdiff;
 
    v = malloc (VECTOR_LENGTH * sizeof(double));
 
    t1 = omp_get_wtime();

    #pragma omp parallel for
    for (i=0; i < VECTOR_LENGTH; i++)
        v[i] = i;
 
    #pragma omp parallel for reduction(+:norm2)
    for(i=0; i < VECTOR_LENGTH; i++)
        norm2 += (v[i]*v[i]);

    tdiff = omp_get_wtime() - t1;
 
    printf ("norm2: %f Time:%f\n", norm2, tdiff);
    return EXIT_SUCCESS;
}
