#!/bin/bash
#MSUB -l nodes=2:ppn=2
#MSUB -l walltime=0:05:00
#MSUB -l pmem=1000mb
#MSUB -q multinode
#MSUB -v EXE=./hello_mpi_omp
#MSUB -v OMP_NUM_THREADS=2
#MSUB -N hello_mpi_omp

module load mpi/openmpi

export NTASKS=$((${MOAB_PROCCOUNT}/${OMP_NUM_THREADS}))

echo "Executable ${EXE} running on ${MOAB_PROCCOUNT} cores with ${NTASKS} tasks and ${OMP_NUM_THREADS} threads"

mpirun -n ${NTASKS} -bynode -cpus-per-proc ${OMP_NUM_THREADS} ${EXE}
